net.snowflake.client.jdbc

## Interface SnowflakeResultSet

    public interface SnowflakeResultSet

This interface defines Snowflake specific APIs for ResultSet

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getQueryID()`
`List<SnowflakeResultSetSerializable>` `getResultSetSerializables(long maxSizeInBytes)` Get a list of ResultSetSerializables for the ResultSet in order to parallel processing

### Method Detail

#### getQueryID

    String getQueryID()
               throws SQLException

Returns:
  the Snowflake query ID of the query which generated this result set
Throws:
  `SQLException`

#### getResultSetSerializables

    List<SnowflakeResultSetSerializable> getResultSetSerializables(long maxSizeInBytes)
                                                            throws SQLException

Get a list of ResultSetSerializables for the ResultSet in order to parallel processing

Parameters:
  `maxSizeInBytes` - The expected max data size wrapped in the ResultSetSerializables object. NOTE: this parameter is intended to make the data size in each serializable object to be less than it. But if user specifies a small value which may be smaller than the data size of one result chunk. So the definition can't be guaranteed completely. For this special case, one serializable object is used to wrap the data chunk.
Returns:
  a list of ResultSetSerializables
Throws:
  `SQLException` - if fails to get the ResultSetSerializable objects.